Name:           python-ndindex
Version:        1.7
Release:        %mkrel 1
Summary:        Python library for manipulating indices of ndarrays
# Upstream specified license as MIT and this covers almost all source files.
# ndindex-1.7/ndindex/_crt.py is BSD-3-Clause
License:        MIT AND BSD-3-Clause
Group:          Development/Python
URL:            https://quansight-labs.github.io/ndindex/
Source:         https://github.com/quansight-labs/ndindex/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Use-configparser.ConfigParser-instead-of-SafeConfigP.patch
Patch2:         0002-setup.py-specify-cython-language_level.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
# For tests:
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis
BuildRequires:  python3-numpy

%description
ndindex is a library that allows representing and manipulating objects that can
be valid indices to numpy arrays, i.e., slices, integers, ellipses, None,
integer and boolean arrays, and tuples thereof.

The goals of the library are to provide a uniform API to manipulate these
objects, match semantics of numpy's ndarray, and to provide useful
transformation and manipulation functions on index objects.

%package -n python3-ndindex
Summary:        Python3 library for manipulating indices of ndarrays
Group:          Development/Python
Requires:       python3-numpy

%description -n python3-ndindex
ndindex is a library that allows representing and manipulating objects that can
be valid indices to numpy arrays, i.e., slices, integers, ellipses, None,
integer and boolean arrays, and tuples thereof.

The goals of the library are to provide a uniform API to manipulate these
objects, match semantics of numpy's ndarray, and to provide useful
transformation and manipulation functions on index objects.

%prep
%autosetup -p1 -n ndindex-%{version}

# It wants to add coverage and flakes, which is not useful for us
rm pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ndindex

%check
OPTIONS=(
  # This test is flaky
  --deselect=ndindex/tests/test_shapetools.py::test_iter_indices_matmul
  # https://github.com/Quansight-Labs/ndindex/issues/158
  --deselect=ndindex/tests/test_ndindex.py::test_eq
)
%ifnarch %{ix86} %{arm}
%pytest -v "${OPTIONS[@]}"
%endif

%files -n python3-ndindex -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Feb 25 2024 daviddavid <daviddavid> 1.7-1.mga10
+ Revision: 2044152
- initial package python-ndindex

